/**
  *  \file mailtemplate.h
  *  \brief Parsing of Mail Address Specifications
  *  \author Stefan Reuther
  */
#ifndef MAILTEMPLATE_H_INCLUDED
#define MAILTEMPLATE_H_INCLUDED

#include <string>

class MailTemplate {
    std::string m_Address;
    std::string m_Subject;
    std::string m_Body;
 public:
    MailTemplate();

    ~MailTemplate();

    bool parse(std::string text);

    std::string getAddress() const
        { return m_Address; }

    std::string getSubject() const
        { return m_Subject; }

    std::string getBody() const
        { return m_Body; }

    std::string toString() const;

    bool isValid() const
        { return m_Address.size(); }

    void reset()
        { m_Address.clear(); }
};

#endif
