/**
  *  \file smtp.h
  */
#ifndef SMTP_H_INCLUDED
#define SMTP_H_INCLUDED

#include <string>
#include "net/mimebuilder.h"
#include "net/connection.h"

class Smtp : public Connection {

    bool readReply(int expect);
    
 public:

    static void setServer(std::string server, int port);

    static void setFromAddress(std::string addr);

    static std::string getServer();

    static int getPort();

    static std::string getFromAddress();

    static bool isConfigured();

    bool sendMail(std::string from, std::string to, MimeBuilder& content);
};

#endif
