/**
  *  \file race.cpp
  *  \brief Race class implementation
  *  \author Stefan Reuther
  */

#include "race.h"
#include "nls.h"
#include "expander.h"
#include "util.h"

/** Constructor.
    \param number Player number in game */
Race::Race(int number)
    : m_Number(number)
{ }

Race::~Race()
{ }

void
Race::enumerate(KVEnumerator& e)
{
    e.handleItem("downloadurl", _("URL where to download new result files from"), m_DownloadUrl);
    e.handleItem("uploadurl",   _("URL where to upload new turn files to"), m_UploadUrl);
    e.handleItem("uploadid",    _("File field name for HTT POST uploads"), m_UploadId);
}

bool
Race::assign(std::string name, std::string value, LoaderState& /*st*/)
{
    if (name == "downloadurl") {
        m_DownloadUrl = value;
        return true;
    }
    if (name == "uploadurl") {
        m_UploadUrl = value;
        return true;
    }
    if (name == "uploadid") {
        m_UploadId = value;
        return true;
    }
    return false;
}
