#ifndef WINGUI_API_H
#define WINGUI_API_H


#include <string>
#include <windows.h>

class Window {
 public:
    Window();

    virtual ~Window();

    virtual LRESULT handle(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

    static LRESULT CALLBACK WindowProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

    static void registerWindowClass(const char* name, HICON icon);

    HWND create(LPCTSTR lpClassName,         // pointer to registered class name
                LPCTSTR lpWindowName,        // pointer to window name
                DWORD dwStyle,               // window style
                int x,                       // horizontal position of window
                int y,                       // vertical position of window
                int nWidth,                  // window width
                int nHeight,                 // window height
                HWND hWndParent,             // handle to parent or owner window
                HMENU hMenu);                // handle to menu or child-window identifier
};

std::string getWindowString(HWND wnd);
std::string getDlgItemString(HWND dlg, int id);

#endif
